| Kea 3.0.2-git

state_model.h File Reference

This file defines the class StateModel. More...

`#include <exceptions/exceptions.h>`
`#include <util/labeled_value.h>`
`#include <boost/shared_ptr.hpp>`
`#include <functional>`
`#include <map>`
`#include <mutex>`
`#include <string>`
Include dependency graph for state_model.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::util::State
| Defines a State within the State Model. More...
class | isc::util::StateModel
| Implements a finite state machine. More...
class | isc::util::StateModelError
| Thrown if the state machine encounters a general error. More...
class | isc::util::StateSet
| Implements a unique set or dictionary of states. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::util

## Typedefs
typedef LabeledValue | isc::util::Event
| Define an Event.
typedef LabeledValuePtr | isc::util::EventPtr
| Define Event pointer.
typedef std::function< void()> | isc::util::StateHandler
| Defines a pointer to an instance method for handling a state.
typedef boost::shared_ptr< StateModel > | isc::util::StateModelPtr
| Defines a pointer to a StateModel.
typedef boost::shared_ptr< State > | isc::util::StatePtr
| Defines a shared pointer to a State.

## Enumerations
enum | isc::util::StatePausing { isc::util::STATE_PAUSE_ALWAYS , isc::util::STATE_PAUSE_NEVER , isc::util::STATE_PAUSE_ONCE }
| State machine pausing modes. More...

## Detailed Description

This file defines the class StateModel.

Definition in file state_model.h.